#include <Rcpp.h>
using namespace Rcpp;

// [[Rcpp::export]]
List array2list(NumericMatrix X, int dim) {

	int lim;

	if (dim == 1) {
		lim = X.nrow();
	}
	else{
		lim = X.ncol();
	}

	List res(lim);

	if (dim == 1) {
		for( int i = 0; i < lim ; i++){
			res[i] = X(i,_);
		}
	}
	else{
		for( int i = 0; i < lim ; i++){
			res[i] = X(_,i);
		}
	}


	return res;
}
